/filterregions#
Returns region reference data.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/filterregions |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/filterregions" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
filter_regions_resp = hyperion_api_client.filter_regions()
filter_regions_df = filter_regions_resp.df()
filter_regions_df.head()
# Example of a Windows PowerShell request to the filter_regions endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"state_code`":[`"TX`"],`"region_natgas`":[`"gulf`"]}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/filterregions' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Normal Output#
county |
region_natgas |
state_code |
sub_region_natgas |
|---|---|---|---|
southeast |
AL |
||
midwest |
AR |
||
west |
AZ |
||
west |
CA |
||
west |
CO |
||
northeast |
CT |
||
northeast |
DC |
||
northeast |
DE |
||
southeast |
FL |
||
gulf |
FO GULF |